ServerEvents.recipes(event => {
  // Simplify recipe creation
  function addCrushingRecipe(output, input) {
    event.recipes.mekanism.crushing(
      Item.of(output),
      Item.of(input)
    )
  }

  // add resultat et incrédient
  addCrushingRecipe('exdeorum:dust', 'minecraft:sand')
  addCrushingRecipe('exdeorum:crushed_netherrack', 'minecraft:netherrack')
  addCrushingRecipe('exdeorum:crushed_end_stone', 'minecraft:end_stone')
  addCrushingRecipe('exdeorum:crushed_blackstone', 'minecraft:blackstone')
  addCrushingRecipe('thermal:sulfur_dust', 'thermal:sulfur' )
  addCrushingRecipe('exdeorum:crushed_deepslate', 'minecraft:deepslate' )
  addCrushingRecipe('thermal:ender_pearl_dust', 'minecraft:ender_pearl' )
})
ServerEvents.recipes(event => {
  // Blaze Rod recipe using Mekanism Combiner
  event.custom({
    type: "mekanism:combining",
    mainInput: {
      ingredient: {
        item: "minecraft:blaze_powder"
      },
      amount: 8
    },
    extraInput: {
      ingredient: {
        item: "minecraft:blaze_rod"
      }
    },
    output: {
      item: "minecraft:blaze_rod",
      count: 2
    }
  })
})